<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:20:31 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ILangProjectSupport (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ILangProjectSupport (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ILangProjectSupport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" target="_top">Frames</a></li>
<li><a href="ILangProjectSupport.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.common.extensionpoints</div>
<h2 title="Interface ILangProjectSupport" class="title">Interface ILangProjectSupport</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ILangProjectSupport</span></pre>
<div class="block">Common interface to create projects for a specific programming language.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.core.resources.IProject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#createProject-java.lang.String-">createProject</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName)</code>
<div class="block">Create a project for a specific language and configure it (according to
 gathered configuration data before).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.core.resources.IProject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#createProject-java.lang.String-org.eclipse.uml2.uml.Package-">createProject</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
             org.eclipse.uml2.uml.Package&nbsp;modelRoot)</code>
<div class="block">Create a project for a specific language and configure it (according to
 gathered configuration data before).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#gatherConfigData-org.eclipse.uml2.uml.Classifier-org.eclipse.papyrus.designer.languages.common.extensionpoints.AbstractSettings-">gatherConfigData</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;implementation,
                <a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a>&nbsp;settings)</code>
<div class="block">Gather configuration data from implementations, e.g.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#initialConfigurationData--">initialConfigurationData</a></span>()</code>
<div class="block">Create an initial (empty) configuration.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#setSettings-org.eclipse.core.resources.IProject-org.eclipse.papyrus.designer.languages.common.extensionpoints.AbstractSettings-">setSettings</a></span>(org.eclipse.core.resources.IProject&nbsp;project,
           <a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a>&nbsp;settings)</code>
<div class="block">Write the project settings from the passed project specific settings.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createProject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createProject</h4>
<pre>org.eclipse.core.resources.IProject&nbsp;createProject(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName)</pre>
<div class="block">Create a project for a specific language and configure it (according to
 gathered configuration data before). In case of C/C++ for instance, a CDT
 project should be created, in case of Java, a JDT project. An
 implementation should call setProject and setSettings before returning
 the project</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>projectName</code> - the named of the project</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created project</dd>
</dl>
</li>
</ul>
<a name="createProject-java.lang.String-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createProject</h4>
<pre>org.eclipse.core.resources.IProject&nbsp;createProject(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                                                  org.eclipse.uml2.uml.Package&nbsp;modelRoot)</pre>
<div class="block">Create a project for a specific language and configure it (according to
 gathered configuration data before). In case of C/C++ for instance, a CDT
 project should be created, in case of Java, a JDT project. An
 implementation should call setProject and setSettings before returning
 the project. It also adds the Maven nature to the project when the user
 wants a Maven project to be generated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>projectName</code> - the named of the project</dd>
<dd><code>modelRoot</code> - the root package of the model used to generate the project</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created project</dd>
</dl>
</li>
</ul>
<a name="setSettings-org.eclipse.core.resources.IProject-org.eclipse.papyrus.designer.languages.common.extensionpoints.AbstractSettings-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSettings</h4>
<pre>void&nbsp;setSettings(org.eclipse.core.resources.IProject&nbsp;project,
                 <a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a>&nbsp;settings)</pre>
<div class="block">Write the project settings from the passed project specific settings.
 (which may be obtained via gatherConfigData).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>the</code> - operating system for which code should be produced</dd>
</dl>
</li>
</ul>
<a name="initialConfigurationData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialConfigurationData</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a>&nbsp;initialConfigurationData()</pre>
<div class="block">Create an initial (empty) configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the project specific configuration.</dd>
</dl>
</li>
</ul>
<a name="gatherConfigData-org.eclipse.uml2.uml.Classifier-org.eclipse.papyrus.designer.languages.common.extensionpoints.AbstractSettings-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>gatherConfigData</h4>
<pre>void&nbsp;gatherConfigData(org.eclipse.uml2.uml.Classifier&nbsp;implementation,
                      <a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a>&nbsp;settings)</pre>
<div class="block">Gather configuration data from implementations, e.g. required include
 paths or libraries. It will enrich the project specific settings.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implementation</code> - a class copied to the target</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ILangProjectSupport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" target="_top">Frames</a></li>
<li><a href="ILangProjectSupport.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
